For AI agents: The documentation index is at https://docs.digitalocean.com/llms.txt. Markdown versions of pages use the same URL with index.html.md in place of the HTML page (for example, append index.html.md to the directory path instead of opening the HTML document).
Usage
client.genai.get_model_evaluation_preset(
eval_preset_uuid="\"123e4567-e89b-12d3-a456-426614174000\"",
)
Returns JSONRaises HttpResponseError
Description
To retrieve a saved model evaluation preset, send a GET request to /v2/genai/model_evaluation_presets/{eval_preset_uuid}.
Parameters
eval_preset_uuid string required
UUID of the evaluation preset.
Response Example
Show Response Example
{
"preset": {
"created_at": "2023-01-01T00:00:00Z",
"dataset_name": "example name",
"dataset_uuid": "123e4567-e89b-12d3-a456-426614174000",
"eval_preset_uuid": "123e4567-e89b-12d3-a456-426614174000",
"judge_model_name": "example name",
"judge_model_uuid": "123e4567-e89b-12d3-a456-426614174000",
"metrics": [],
"name": "example name",
"star_metric": {
"metric_uuid": "123e4567-e89b-12d3-a456-426614174000",
"name": "example name",
"success_threshold": 123,
"success_threshold_pct": 123
}
}
}
See /v2/gen-ai/model_evaluation_presets/{eval_preset_uuid} in the API reference for additional detail on responses, headers, parameters, and more.